package com.ifish.entity;

import java.io.Serializable;

public class DeviceCameraId implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Integer	deviceId;
	private String	cameraId;
	
	public DeviceCameraId() {
	}
	public DeviceCameraId(Integer deviceId, String cameraId) {
		this.deviceId = deviceId;
		this.cameraId = cameraId;
	}
	public Integer getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}
	public String getCameraId() {
		return cameraId;
	}
	public void setCameraId(String cameraId) {
		this.cameraId = cameraId;
	}
	
	@Override
    public boolean equals(Object obj) {
        if(obj instanceof DeviceCameraId){
        	DeviceCameraId pk=(DeviceCameraId)obj;
            if(this.deviceId.equals(pk.deviceId)&&this.cameraId.equals(pk.cameraId)){
                return true;
            }
        }
        return false;
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
	
}
